Whip_InvalidVersionComparisonString

Exception for an invalid version comparison string.

Defined (1)

The class is defined in the following location(s).

/vendor/yoast/whip/src/exceptions/Whip_InvalidVersionComparisonString.php  
  1. class Whip_InvalidVersionComparisonString extends Exception { 
  2.  
  3. /** 
  4. * @param string $value The passed version comparison string. 
  5. */ 
  6. public function __construct( $value ) { 
  7. parent::__construct( 
  8. sprintf( 
  9. 'Invalid version comparison string. Example of a valid version comparison string: >=5.3. Passed version comparison string: %s',  
  10. $value 
  11. );